mdb-json(1)

NAME
mdb-json - Export data in an MDB database table to JSON.

SYNOPSIS
mdb-json [-D fmt] [-T fmt] [-U] database table
mdb-json -h|--help
mdb-json --version

DESCRIPTION
mdb-json is a utility program distributed with MDB Tools.

It produces a CSV (comma separated value) output for the given table. Such output is suitable for importation into databases or spreadsheets.

OPTIONS

-D, --date-format fmt
    Set the date format (see strftime(3) for details).

-T, --time-format fmt
    Set the date/time format (see strftime(3) for details).

-U, --no-unprintable
    Change unprintable characters to spaces (otherwise escaped as \u00XX).

--version
    Print the mdbtools version and exit.

NOTES

ENVIRONMENT

MDB_JET3_CHARSET
    Defines the charset of the input JET3 (access 97) file. Default is CP1252. See iconv(1).

MDBICONV
    Defines the output charset to use for the SQL file. Default is UTF-8. mdbtools must have been compiled with iconv.

MDBOPTS
    Colon-separated list of options:

    •   debug_like

    •   debug_write

    •   debug_usage

    •   debug_ole

    •   debug_row

    •   debug_props

    •   debug_all is a shortcut for all debug_* options

    •   no_memo (deprecated; has no effect)

    •   use_index (experimental; requires libmswstr)

SEE ALSO
mdb-array(1) mdb-count(1) mdb-export(1) mdb-header(1) mdb-hexdump(1) mdb-import(1) mdb-parsecsv(1) mdb-prop(1) mdb-queries(1) mdb-schema(1) mdb-sql(1) mdb-tables(1) mdb-ver(1)

HISTORY
mdb-json first appeared in MDB Tools 0.9.

AUTHORS
The mdb-json utility was written by Ugo Di Girolamo. It is based on mdb-export(1).